use crate::services::{serial_service::SerialService, sqlite_service::SqliteService, excel_service::ExcelService};


pub struct WorkService {
    serial_service: SerialService,
    sqlite_service: SqliteService,
    excel_service: ExcelService,
}

impl Default for WorkService {
    fn default() -> Self {
        WorkService {
            serial_service: *SerialService::new("COM3").unwrap(),
            sqlite_service: SqliteService::default(),
            excel_service: ExcelService::new("a").unwrap()
        }
    }
}